How TO- Ubuntu 8.04 Server

Discussion in 'HOWTO-Related Questions' started by Argos, Aug 13, 2008.

  1. Argos

    Argos New Member

    on the (wonderfully written) 'The Perfect Server - Ubuntu Hardy Heron (Ubuntu 8.04 LTS Server) ' How To, i encountered a problem when installing the Apache/PHP5/Ruby (Section 17, page 6).

    When trying to apt-get install libapache2-mod-php5 libapache2-mod-ruby php5 php5-common php5-curl php5-dev php5-gd php5-idn php-pear php5-imagick php5-imap php5-json php5-mcrypt php5-memcache php5-mhash php5-ming php5-mysql php5-pspell php5-recode php5-snmp php5-sqlite php5-tidy php5-xmlrpc php5-xsl I get an error that the php5-json package cannot be found. it looks like it is now part of another package.

    Does anybody know if i can just delete that package from the command line and continue without it or do i have to add a different package ?

    Last edited: Aug 13, 2008
  2. TheSearcher

    TheSearcher New Member

    Hi Argos,

    you can safely remove the php5-json package from the install string. The server works fine without it, cause, if I remember right, the php5-json is part of the php5-common package. So there is no need for installing another package.

    kind regards,
  3. Argos

    Argos New Member

    That is exactly what i did and it worked flawlessly. thanks .

Share This Page